<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Manfred Egger <em@bluechip.at>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *  A copy is found in the textfile GPL.txt and important notices to the license
 *  from the author is found in LICENSE.txt distributed with these scripts.
 *
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

class tx_bc_post2facebook_fieldtype {

	function user_TCAform_facebook($PA, $fobj) {
		$config = $PA['fieldConf']['config'];
		$specConf = $PA['pObj']->getSpecConfFromString($PA['extra'], $PA['fieldConf']['defaultExtras']);

		$disabled = ' disabled="disabled"';
		$thisValue = trim($PA['itemFormElValue']);

		$cBP = !empty($thisValue) ? 'checked="checked"' : '';
		$cBName = $PA['itemFormElName'];
		$cBID = $PA['itemFormElID'];
		$item.= '<input type="checkbox"'.$PA['pObj']->insertDefStyle('check').' value="'.htmlspecialchars($thisValue).'" name="'.$cBName.'"'.$cBP.$PA['onFocus'].$disabled.' id="'.$cBID.'" />';

		$item= $PA['pObj']->renderWizards(array($item,$item),$config['wizards'],$PA['table'],$PA['row'],$PA['field'],$PA,$PA['itemFormElName'],$specConf);

		return $item;
	}

}